Oh no! Where's the JavaScript?
Your Web browser does not have JavaScript enabled or does not support JavaScript. Please enable JavaScript on your Web browser to properly view this Web site, or upgrade to a Web browser that does support JavaScript.
Sign In
Not a member yet? Click here to register.

Installation Issues- 9

Issued related to the 9´s installation process
275 posts | Last Activity on 03-07-2019 18:22 by Rudios
Rudios
Rudios 03-07-2019 18:22, 3 months ago
Re: Installation questions The "include as file" code is beyond my knowledge I'm afraid.
Anyway, thanks!
Chan
Chan 02-07-2019 13:59, 3 months ago
Re: Installation questions Hi in regards with your questions.

1) In "system admin> folder permissions" I have the config.php file writeable (644) in red. Should I change this in cpanel?
Config should be 444 if possible as long as system can read it, it should be fine. We only need 777, 755 depending on your server config to write config during install.

2) What version of php should I install for v9.03, now I have PHP v7.3.6?
Anything above version 7 is fine.

4) How "dangerous" is it to run "allow PHP execution" in v9.03? I need this option to insert external content.
If you allow PHP Execution, all the scripts can be imbued within SQL which can be parsed during view. The better practice here is to upload a file via FTP to your server and then include as file in panels.
Rudios
Rudios 01-07-2019 18:20, 3 months ago
Re: Installation questions I have a few questions after installing fusion v9.03:
1) In "system admin> folder permissions" I have the config.php file writeable (644) in red. Should I change this in cpanel?
2) What version of php should I install for v9.03, now I have PHP v7.3.6?
3) After installing latest video infusion, the infusion appears in "system admin> infusions" infused, but I see this infusion anywhere else? Accessing the infusion in the website menus, I get an error (only in bootstrap theme).
4) How "dangerous" is it to run "allow PHP execution" in v9.03? I need this option to insert external content.
Thanks!
Falk
Falk 08-06-2019 16:53, 4 months ago
Re: Problem with the installation Please do not download Dev versions and report issues here. Always report In Dev issues directly in Github if you insist on using these versions.
djdandi
djdandi 08-06-2019 13:32, 4 months ago
Re: Problem with the installation I downloaded the last version with github but I have a problem with the installation.

Code
Fatal error: Uncaught Error: Class 'Defender' not found in /home/brzanek/public_html/08062019/includes/dynamics/includes/form_select.php:378 Stack trace: #0 /home/brzanek/public_html/08062019/includes/classes/PHPFusion/Installer/Steps/Introduction.inc(84): form_select('localeset', '', 'English', Array) #1 /home/brzanek/public_html/08062019/includes/classes/PHPFusion/Installer/Steps/Introduction.inc(29): PHPFusion\Steps\InstallerIntroduction->__Index() #2 /home/brzanek/public_html/08062019/includes/classes/PHPFusion/Installer/Install.core.inc(351): PHPFusion\Steps\InstallerIntroduction->__view() #3 /home/brzanek/public_html/08062019/includes/classes/PHPFusion/Installer/Install.core.inc(330): PHPFusion\Installer\Install_Core->get_InstallerContent() #4 /home/brzanek/public_html/08062019/install.php(22): PHPFusion\Installer\Install_Core->install_phpfusion() #5 {main} thrown in /home/brzanek/public_html/08062019/includes/dynamics/includes/form_select.php on line 378 



https://github.com/php-fusion/PHP-Fusion
RobiNN
RobiNN 02-05-2019 16:39, 5 months ago
Re: Error In Installation Install it in English, some locale packages are not yet fully translated
dgrvedado
dgrvedado 02-05-2019 16:17, 5 months ago
Re: Error In Installation Hi every one!!!

I begin to install php-fusion 9.x whit locale in spanish. I download the official locales in github and only copy to my project folder spanish locale. In the first screen sow this Notice:

Notice: Undefined index: setup_0012a in C:\xampp\htdocs\files\includes\classes\PHPFusion\Installer\Console.core.inc on line 102.

I show the setup.php in locale spanich and this index is not pressent on this file.
[img]https://drive.google.com/file/d/1OBXtwyZ3mu2x4dZsabcXLSldM7LfXusL/view?usp=sharing[/img]

Any where i continue the installation whit this error. Only in the end show other error but not break the process.

Well i only want to inform of this error.

Regards,
David
iceman50
iceman50 05-03-2019 22:57, 7 months ago
Re: Admin page is empty after upgrading to 9.03 from 9.0 And it works smile
iceman50
iceman50 05-03-2019 20:53, 7 months ago
Re: Admin page is empty after upgrading to 9.03 from 9.0 That is the part I did not find in the manual...
I just copied the files as in previous versions and went to the upgrade function.
iceman50
iceman50 05-03-2019 20:24, 7 months ago
Re: Version of PHP-Fusion installed thanx for info.
I did download it from the official site, but I must have made a mix up.
I will start again
RobiNN
RobiNN 05-03-2019 20:23, 7 months ago
Re: Admin page is empty after upgrading to 9.03 from 9.0 PF 9.x has built in upgrade system.
Is very easy to upgrade your PF.

1 replace all files with new.
2 run install.php in title you can see PHP-Fusion Upgrade
3 follow the instructions
RobiNN
RobiNN 05-03-2019 20:15, 7 months ago
Re: Version of PHP-Fusion installed You have downloaded 9.0 not 9.03.

9.03 has in PHP Info extra field "Database Driver" PDOMySQL or MySQLi

snag.gy/sruLKo.jpg

You can check your PF version if you open installer.

snag.gy/bGkdyY.jpg

In my case is 9.10(DEV build) but PHP Info and Installer are the same.

Here you can download latest stable version (9.03) https://www.php-fusion.co.uk/php_fusi...nloads.php
iceman50
iceman50 05-03-2019 19:17, 7 months ago
Re: Version of PHP-Fusion installed I have installed a clean version of the new 9.03 release, but in the admin/PHP-Info the PHP-Fusion version is shown as 9.0 is that an error or do I have the wrong version?
Example are attached as an image.
iceman50
iceman50 05-03-2019 19:03, 7 months ago
Re: Admin page is empty after upgrading to 9.03 from 9.0 When I upgrade from a version 9.0 to 9.03 my admin pages turns blank.
The link misses the correct *.php link (http://modellerne.dk/administration/upgrade.php?aid=e000de8a)
it disappears when I return to the version 9.0 files, and everything works again.
Anyone with an explanation or a fix?
The 9.03 version is freshly downloaded from main site (official release)
Chan
Chan 28-09-2018 04:48, 12 months ago
Re: PHP-Fusion 9,0 and best working PHP server versions?? Hi as mentioned it is at least a minimum of 5.6.8 above. Don’t go minimum if you are upgrading.

PHP 7 offers opCache which will speed up your site A LOT faster.
Tilly
Tilly 03-09-2018 16:27, 1 year ago
Re: PHP-Fusion 9,0 and best working PHP server versions??

Falk wrote:

@Falk
- Anything over PHP 7 is best for 9. Some things may work in 9 from 7, other may need some tweaking.


Ok thanks, will try PHP 7.2 and some old addons...
Falk
Falk 03-09-2018 03:06, 1 year ago
Re: PHP-Fusion 9,0 and best working PHP server versions?? Anything over PHP 7 is best for 9. Some things may work in 9 from 7, other may need some tweaking.
Tilly
Tilly 02-09-2018 16:24, 1 year ago
Re: PHP-Fusion 9,0 and best working PHP server versions?? Hi!

I will soon install PHP-Fusion 9.0 on my site but want to know best PHP Server version to use??

Requirements for PHP-Fusion 9.0 version
- PHP 5.5.08 or higher
- MySQL 5.1 or higher
- Apache 2.2 or higher
- Nginx 1.0 or higher - mod_rewrite or equivalent for SEO

My web Hosting available PHP server versions:
PHP 5,5
PHP 5,6 (Native)
PHP 5,6
PHP 7.0
PHP 7.1
PHP 7.2

Which PHP version to choose?
Will old adds on from PHP-Fusion 7.02.07 work?
Falk
Falk 15-08-2018 19:05, 1 year ago
Re: Errors : installation v9 You need a higher PHP version
H
houssin 14-08-2018 18:04, 1 year ago
Re: Errors : installation v9 hello
I tried to install php-fusion V9 in my server , then got the following error:

Parse error: syntax error, unexpected end of file, expecting variable (T_VARIABLE) or quoted-string and whitespace (T_ENCAPSED_AND_WHITESPACE) or ${ (T_DOLLAR_OPEN_CURLY_BRACES) or {$ (T_CURLY_OPEN) in /mounted-storage/home180/sub003/sc63189-HDXV/judo/infusions/news/infusion_db.php on line 30



Default PHP-Interpreter version: 5.6
MySQL Version : Maria DB 5.5 and higher
You can view all discussion threads in this forum.
You can start a new discussion thread in this forum.
You cannot start on a poll in this forum.
You cannot upload attachments in this forum.
You can download attachments in this forum.